1. battlerock10

    OP battlerock10 Newbie
    Newcomer

    Joined:
    Apr 2, 2017
    Messages:
    1
    Country:
    Gambia, The
    Yesterday it got a 2DS which already had System Version 11.3, and after a bit of research I found out that you can not do a lot with it. My goal is to play 3DS Roms on my console. So my questions, since I am completly new to this scene:

    -Are there going to be any CFWs that will work with 11.3 anytime soon ?
    -Do Flashcards have any disadvantages compared to CFW (if you want to play Roms) ? Are there any better Flashcards than the Sky3DS+ and what would be a legit site to buy it from ?
    -What would you do if you were me ? I could wait for a CFW or buy a flashcard or bring the 2DS back and get my money.

    Thanks in advance and apologies for any Grammar mistakes.
     
  2. windhazard

    windhazard GBAtemp Fan
    Member

    Joined:
    Mar 23, 2016
    Messages:
    415
    Country:
    United Kingdom
    1. A new hack called Sighax is being developed but no release date yet. Even when it's out, you still need hardmod or another 3DS with CFW to install it on any 11.3 console.

    2. Afaik the only working flashcard for 11.3 is the Sky3ds and it's quite pricy (80-90$). You can play roms with it but can't do any other customization/cheat like with CFW.

    3. I would sell it and find another used 3ds and ask the seller which FW it's on beforehand. It's easy to find one with FW <=11.2 since lots of people don't care about hacks and also never update their system.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - Flashcard, questions, (already